/*+file-overview
**
** A Lex/Precc definition for Z
*/
/*# define DEBUG*/
# define PARAM char*
/*# define VALUE char**/
#include "ccx.h"

/* Flag which indicates if lexemes are to be displayed or not.
** Non zero means display them.
*/
int    z_l_display_lexemes=1;

void output(s)
char *s;
{
    if (z_l_display_lexemes)
    {
        printf("%s",s);
    }
}

/* A cheap little line counter so that the cause of an error is easier
** to find.  If you use this software for anything serious, please change
** this to something more robust that does not use a manifest type.
*/
int    z_l_line_number;
extern
int    yylineno;
extern
int    yytchar;
/* Remember to set yytchar to EOF in yyterminate().  */

static STATUS hid0(){
return p_exactly0(' ');
}
static VOID hid1(){
 output(" "); 
}
static STATUS hid2(){
PARSER p_nothing0;ACTION hid1;
return p_attach0n(TOPARSER p_nothing0,0,hid1,0);
}
static STATUS hid3(){
PARSER hid0, hid2;
return p_andparse0n (TOPARSER hid0,0,TOPARSER hid2,0);
}
static STATUS hid4(){
return p_exactly0('\t');
}
static VOID hid5(){
 output("\t");
}
static STATUS hid6(){
PARSER p_nothing0;ACTION hid5;
return p_attach0n(TOPARSER p_nothing0,0,hid5,0);
}
static STATUS hid7(){
PARSER hid4, hid6;
return p_andparse0n (TOPARSER hid4,0,TOPARSER hid6,0);
}
static STATUS hid8 (){
PARSER hid3, hid7;
static STATUS p_tok;
p_tok = (TOPARSER hid3) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid7) ();
}
STATUS ws1(){
PARSER hid8;
P_RETURN((TOPARSER hid8)(),"ws1");
}

static STATUS hid9(){
return p_exactly0('~');
}
static VOID hid10(){
 output("~"); 
}
static STATUS hid11(){
PARSER p_nothing0;ACTION hid10;
return p_attach0n(TOPARSER p_nothing0,0,hid10,0);
}
static STATUS hid12(){
PARSER hid9, hid11;
return p_andparse0n (TOPARSER hid9,0,TOPARSER hid11,0);
}
static STATUS hid13(){
return p_exactly0('\\');
}
static STATUS hid14(){
return p_exactly0(';');
}
static STATUS hid15(){
return p_exactly0('!');
}
static STATUS hid16(){
return p_exactly0(',');
}
static STATUS hid17 (){
PARSER hid15, hid16;
static STATUS p_tok;
p_tok = (TOPARSER hid15) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid16) ();
}
static STATUS hid18 (){
PARSER hid14, hid17;
static STATUS p_tok;
p_tok = (TOPARSER hid14) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid17) ();
}
static VOID hid19(){
 output("\\;");
}
static STATUS hid20(){
PARSER p_nothing0;ACTION hid19;
return p_attach0n(TOPARSER p_nothing0,0,hid19,0);
}
static STATUS hid21(){
PARSER hid18, hid20;
return p_andparse0n (TOPARSER hid18,0,TOPARSER hid20,0);
}
static STATUS hid22(){
PARSER hid13, hid21;
return p_andparse0n (TOPARSER hid13,0,TOPARSER hid21,0);
}
static STATUS hid23(){
return p_exactly0('%');
}
static STATUS hid24(){
return p_notexactly0('%');
}
static STATUS hid25(){
PARSER p_anything0;
return p_many0n(TOPARSER p_anything0,0);
}
static STATUS hid26(){
PARSER hid24, hid25;
return p_andparse0n (TOPARSER hid24,0,TOPARSER hid25,0);
}
static STATUS hid27(){
PARSER hid26;
return p_option0n(TOPARSER hid26,0);
}
static VOID hid28(){
 output("%\n");
}
static STATUS hid29(){
PARSER p_nothing0;ACTION hid28;
return p_attach0n(TOPARSER p_nothing0,0,hid28,0);
}
static STATUS hid30(){
PARSER nl, hid29;
return p_andparse0n (TOPARSER nl,0,TOPARSER hid29,0);
}
static STATUS hid31(){
PARSER hid27, hid30;
return p_andparse0n (TOPARSER hid27,0,TOPARSER hid30,0);
}
static STATUS hid32(){
PARSER hid23, hid31;
return p_andparse0n (TOPARSER hid23,0,TOPARSER hid31,0);
}
static VOID hid33(){
 output("\n");
}
static STATUS hid34(){
PARSER p_nothing0;ACTION hid33;
return p_attach0n(TOPARSER p_nothing0,0,hid33,0);
}
static STATUS hid35(){
PARSER nl, hid34;
return p_andparse0n (TOPARSER nl,0,TOPARSER hid34,0);
}
static STATUS hid36 (){
PARSER hid32, hid35;
static STATUS p_tok;
p_tok = (TOPARSER hid32) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid35) ();
}
static STATUS hid37 (){
PARSER hid22, hid36;
static STATUS p_tok;
p_tok = (TOPARSER hid22) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid36) ();
}
static STATUS hid38 (){
PARSER hid12, hid37;
static STATUS p_tok;
p_tok = (TOPARSER hid12) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid37) ();
}
static STATUS hid39 (){
PARSER ws1, hid38;
static STATUS p_tok;
p_tok = (TOPARSER ws1) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid38) ();
}
STATUS ws(){
PARSER hid39;
P_RETURN((TOPARSER hid39)(),"ws");
}

static STATUS hid40(PARAM w){
return p_test0(*(char*)w==0);
}
static STATUS hid41(PARAM w){
return p_atch0(/* VALUE */ (TOVALUE w) );
}
static STATUS hid42(PARAM w){
PARSER hid40, hid41;
return p_andparse0n (TOPARSER hid40,P_SZ(1,0),w,TOPARSER hid41,P_SZ(1,0),w);
}
static STATUS hid43(PARAM w){
return p_exactly0(*(char*)w);
}
static STATUS hid44(PARAM w){
return p_atch0(/* VALUE */ (TOVALUE w) );
}
static STATUS hid45(PARAM w){
PARSER key0, hid44;
return p_andparse0n (TOPARSER key0,P_SZ(1,0),(PARAM)((char*)w+1),TOPARSER hid44,P_SZ(1,0),w);
}
static STATUS hid46(PARAM w){
PARSER hid43, hid45;
return p_andparse0n (TOPARSER hid43,P_SZ(1,0),w,TOPARSER hid45,P_SZ(1,0),w);
}
static STATUS hid47 (PARAM w){
PARSER hid42, hid46;
static STATUS p_tok;
p_tok = (TOPARSER hid42) (w);
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid46) (w);
}
STATUS key0(PARAM w){
PARSER hid47;
P_RETURN((TOPARSER hid47)(w),"key0");
}

static VOID hid48(PARAM w){
 output(w); 
}
static STATUS hid49(PARAM w){
PARSER p_nothing0;ACTION hid48;
return p_attach0n(TOPARSER p_nothing0,0,hid48,P_SZ(1,0),w);
}
static STATUS hid50(PARAM w){
PARSER ws;
return p_many0n(TOPARSER ws,0);
}
static STATUS hid51(PARAM w){
return p_atch0(/* VALUE */ (TOVALUE w) );
}
static STATUS hid52(PARAM w){
PARSER hid50, hid51;
return p_andparse0n (TOPARSER hid50,P_SZ(1,0),w,TOPARSER hid51,P_SZ(1,0),w);
}
static STATUS hid53(PARAM w){
PARSER hid49, hid52;
return p_andparse0n (TOPARSER hid49,P_SZ(1,0),w,TOPARSER hid52,P_SZ(1,0),w);
}
static STATUS hid54(PARAM w){
PARSER key0, hid53;
return p_andparse0n (TOPARSER key0,P_SZ(1,0),w,TOPARSER hid53,P_SZ(1,0),w);
}
STATUS key(PARAM w){
PARSER hid54;
P_RETURN((TOPARSER hid54)(w),"key");
}

static VOID hid55(PARAM w){
 output(w); 
}
static STATUS hid56(PARAM w){
PARSER p_nothing0;ACTION hid55;
return p_attach0n(TOPARSER p_nothing0,0,hid55,P_SZ(1,0),w);
}
static STATUS hid57(PARAM w){
PARSER ws1;
return p_many0n(TOPARSER ws1,0);
}
static STATUS hid58(PARAM w){
return p_atch0(/* VALUE */ (TOVALUE w) );
}
static STATUS hid59(PARAM w){
PARSER hid57, hid58;
return p_andparse0n (TOPARSER hid57,P_SZ(1,0),w,TOPARSER hid58,P_SZ(1,0),w);
}
static STATUS hid60(PARAM w){
PARSER hid56, hid59;
return p_andparse0n (TOPARSER hid56,P_SZ(1,0),w,TOPARSER hid59,P_SZ(1,0),w);
}
static STATUS hid61(PARAM w){
PARSER key0, hid60;
return p_andparse0n (TOPARSER key0,P_SZ(1,0),w,TOPARSER hid60,P_SZ(1,0),w);
}
STATUS key1(PARAM w){
PARSER hid61;
P_RETURN((TOPARSER hid61)(w),"key1");
}

static STATUS hid62(){
PREDICATE isdigit;
return p_range0n(isdigit,0);
}
STATUS digit(){
PARSER hid62;
P_RETURN((TOPARSER hid62)(),"digit");
}

static STATUS hid63(){
PREDICATE isalpha;
return p_range0n(isalpha,0);
}
STATUS letter(){
PARSER hid63;
P_RETURN((TOPARSER hid63)(),"letter");
}

static STATUS hid64(){
return p_exactly0('\\');
}
static STATUS hid65(){
return p_exactly0('_');
}
static STATUS hid66(){
PARSER hid64, hid65;
return p_andparse0n (TOPARSER hid64,0,TOPARSER hid65,0);
}
static STATUS hid67 (){
PARSER digit, hid66;
static STATUS p_tok;
p_tok = (TOPARSER digit) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid66) ();
}
static STATUS hid68 (){
PARSER letter, hid67;
static STATUS p_tok;
p_tok = (TOPARSER letter) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid67) ();
}
static STATUS hid69(){
PARSER hid68;
return p_many0n(TOPARSER hid68,0);
}
static STATUS hid70(){
PARSER letter, hid69;
return p_andparse0n (TOPARSER letter,0,TOPARSER hid69,0);
}
STATUS ident(){
PARSER hid70;
P_RETURN((TOPARSER hid70)(),"ident");
}

static STATUS hid71(){
return p_exactly0('=');
}
static STATUS hid72(){
return p_exactly0('=');
}
static STATUS hid73(){
PARSER hid72;
return p_option0n(TOPARSER hid72,0);
}
static STATUS hid74(){
PARSER hid71, hid73;
return p_andparse0n (TOPARSER hid71,0,TOPARSER hid73,0);
}
static STATUS hid75(){
return p_exactly0(',');
}
static STATUS hid76 (){
PARSER hid74, hid75;
static STATUS p_tok;
p_tok = (TOPARSER hid74) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid75) ();
}
static STATUS hid77(){
PARSER hid76;
return p_option0n(TOPARSER hid76,0);
}
static STATUS hid78(){
return p_exactly0('+');
}
static STATUS hid79(){
return p_exactly0('-');
}
static STATUS hid80(){
return p_exactly0('*');
}
static STATUS hid81(){
return p_exactly0('.');
}
static STATUS hid82(){
return p_exactly0('=');
}
static STATUS hid83(){
return p_exactly0('<');
}
static STATUS hid84(){
return p_exactly0('>');
}
static STATUS hid85(){
return p_exactly0(',');
}
static STATUS hid86 (){
PARSER hid84, hid85;
static STATUS p_tok;
p_tok = (TOPARSER hid84) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid85) ();
}
static STATUS hid87 (){
PARSER hid83, hid86;
static STATUS p_tok;
p_tok = (TOPARSER hid83) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid86) ();
}
static STATUS hid88 (){
PARSER hid82, hid87;
static STATUS p_tok;
p_tok = (TOPARSER hid82) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid87) ();
}
static STATUS hid89 (){
PARSER hid81, hid88;
static STATUS p_tok;
p_tok = (TOPARSER hid81) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid88) ();
}
static STATUS hid90 (){
PARSER hid80, hid89;
static STATUS p_tok;
p_tok = (TOPARSER hid80) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid89) ();
}
static STATUS hid91 (){
PARSER hid79, hid90;
static STATUS p_tok;
p_tok = (TOPARSER hid79) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid90) ();
}
static STATUS hid92 (){
PARSER hid78, hid91;
static STATUS p_tok;
p_tok = (TOPARSER hid78) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid91) ();
}
static STATUS hid93(){
PARSER hid92;
return p_some0n(TOPARSER hid92,0);
}
static STATUS hid94(){
PARSER hid77, hid93;
return p_andparse0n (TOPARSER hid77,0,TOPARSER hid93,0);
}
STATUS infix(){
PARSER hid94;
P_RETURN((TOPARSER hid94)(),"infix");
}

static STATUS hid95(){
return p_exactly0('\\');
}
static STATUS hid96(){
PARSER keyword;
return p_option0n(TOPARSER keyword,0);
}
static STATUS hid97(){
PARSER letter;
return p_some0n(TOPARSER letter,0);
}
static STATUS hid98(){
PARSER /* but not a keyword!! */ws;
return p_many0n(TOPARSER /* but not a keyword!! */ws,0);
}
static STATUS hid99(){
return p_exactly0('{');
}
static STATUS hid100(){
PARSER ws;
return p_many0n(TOPARSER ws,0);
}
static STATUS hid101(){
PARSER ws;
return p_many0n(TOPARSER ws,0);
}
static STATUS hid102(){
PARSER word, hid101;
return p_andparse0n (TOPARSER word,0,TOPARSER hid101,0);
}
static STATUS hid103(){
PARSER hid102;
return p_many0n(TOPARSER hid102,0);
}
static STATUS hid104(){
return p_exactly0('}');
}
static STATUS hid105(){
PARSER hid103, hid104;
return p_andparse0n (TOPARSER hid103,0,TOPARSER hid104,0);
}
static STATUS hid106(){
PARSER hid100, hid105;
return p_andparse0n (TOPARSER hid100,0,TOPARSER hid105,0);
}
static STATUS hid107(){
PARSER hid99, hid106;
return p_andparse0n (TOPARSER hid99,0,TOPARSER hid106,0);
}
static STATUS hid108(){
PARSER hid98, hid107;
return p_andparse0n (TOPARSER hid98,0,TOPARSER hid107,0);
}
static STATUS hid109(){
PARSER hid108;
return p_option0n(TOPARSER hid108,0);
}
static STATUS hid110(){
PARSER hid97, hid109;
return p_andparse0n (TOPARSER hid97,0,TOPARSER hid109,0);
}
static STATUS hid111(){
PARSER hid96, hid110;
return p_andparse0n (TOPARSER hid96,0,TOPARSER hid110,0);
}
static STATUS hid112(){
PARSER hid95, hid111;
return p_andparse0n (TOPARSER hid95,0,TOPARSER hid111,0);
}
STATUS latex(){
PARSER hid112;
P_RETURN((TOPARSER hid112)(),"latex");
}

static int n; /* number buffer */

static STATUS hid113(){
PARSER digit;
return p_some0n(TOPARSER digit,0);
}
STATUS number(){
PARSER hid113;
P_RETURN((TOPARSER hid113)(),"number");
}

static STATUS hid114(){
return p_exactly0('?');
}
static STATUS hid115(){
return p_exactly0('!');
}
static STATUS hid116(){
return p_exactly0('_');
}
static STATUS hid117(){
PARSER hid116, digit;
return p_andparse0n (TOPARSER hid116,0,TOPARSER digit,0);
}
static STATUS hid118 (){
PARSER hid115, hid117;
static STATUS p_tok;
p_tok = (TOPARSER hid115) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid117) ();
}
static STATUS hid119 (){
PARSER hid114, hid118;
static STATUS p_tok;
p_tok = (TOPARSER hid114) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid118) ();
}
STATUS stroke(){
PARSER hid119;
P_RETURN((TOPARSER hid119)(),"stroke");
}

/* or infix! ? */

static STATUS hid120 (){
PARSER latex, infix;
static STATUS p_tok;
p_tok = (TOPARSER latex) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER infix) ();
}
static STATUS hid121 (){
PARSER ident, hid120;
static STATUS p_tok;
p_tok = (TOPARSER ident) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid120) ();
}
STATUS word(){
PARSER hid121;
P_RETURN((TOPARSER hid121)(),"word");
}

static VOID hid122(){
printf("%% line %d OK",(yylineno=z_l_line_number+=1));
}
static STATUS hid123(){
PARSER p_nothing0;ACTION hid122;
return p_attach0n(TOPARSER p_nothing0,0,hid122,0);
}
static STATUS hid124(){
PARSER p_last0, hid123;
return p_andparse0n (TOPARSER p_last0,0,TOPARSER hid123,0);
}
STATUS nl(){
PARSER hid124;
P_RETURN((TOPARSER hid124)(),"nl");
}

static STATUS hid125(VALUE x){
return p_test0('1'<=(int)(TOVALUE x)&&(int)(TOVALUE x)<='6');
}
static STATUS hid126(VALUE x){
return p_atch0(/* VALUE */ (int)(TOVALUE x)-'0' );
}
static STATUS hid127(VALUE x){
PARSER hid125, hid126;
return p_andparse0n (TOPARSER hid125,P_SZ(1,1),x,TOPARSER hid126,P_SZ(1,1),x);
}
static STATUS hid128(){
PARSER digit, hid127; VALUE x;
static STATUS p_tok;
P_PSTAR(x,(TOPARSER digit)(),(TOPARSER hid127)(x));
return p_tok;
}
STATUS priority(){
PARSER hid128;
P_RETURN((TOPARSER hid128)(),"priority");
}

/* this looks up a list with a little less stack-depth than linear search */

static STATUS hid129(PARAM n,PARAM list){
return p_test0((int)n==1);
}
static STATUS hid130(PARAM n,PARAM list){
PARSER hid129, key0;
return p_andparse0n (TOPARSER hid129,P_SZ(2,0),n,list,TOPARSER key0,P_SZ(1,0),*(char**)list);
}
static STATUS hid131(PARAM n,PARAM list){
return p_test0((int)n>1);
}
static STATUS hid132 (PARAM n,PARAM list){
PARSER keys, keys;
static STATUS p_tok;
p_tok = (TOPARSER keys) ((int)n/2,list);
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER keys) ((int)n-(int)n/2,(PARAM)((char**)list+(int)n/2));
}
static STATUS hid133(PARAM n,PARAM list){
PARSER hid131, hid132;
return p_andparse0n (TOPARSER hid131,P_SZ(2,0),n,list,TOPARSER hid132,P_SZ(2,0),n,list);
}
static STATUS hid134 (PARAM n,PARAM list){
PARSER hid130, hid133;
static STATUS p_tok;
p_tok = (TOPARSER hid130) (n,list);
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid133) (n,list);
}
STATUS keys(PARAM n,PARAM list){
PARSER hid134;
P_RETURN((TOPARSER hid134)(n,list),"keys");
}

char* keylist[]  =
{
"Delta",
"Xi",
"IF",
"THEN",
"ELSE",
"LET",
"also",
"begin",
"bsup",
"end",
"esup",
"exists",
"forall",
"defs",
"hide",
"iff",
"implies",
"in",
"inrel",
"lambda",
"land",
"langle",
"lbag",
"ldata,"
"limg",  /* 25 */
"lnot",
"lor",
"mu",
"pipe",
"power",
"pre",
"project",
"rangle",
"rbag",
"rdata",
"rimg",
"semi",
"theta",
"where",
""       /* 40 */
};

STATUS keyword(){
PARSER keys;
P_RETURN((TOPARSER keys)((PARAM)39,(PARAM)keylist),"keyword");
}

# define MAXWORDS 2048

extern int ukey(char *, long);

static char c[2];

static STATUS hid135 (){
PARSER key, key;
static STATUS p_tok;
p_tok = (TOPARSER key) ("schema");
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER key) ("gendef");
}
static STATUS hid136 (){
PARSER key, hid135;
static STATUS p_tok;
p_tok = (TOPARSER key) ("axdef");
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid135) ();
}
static STATUS hid137 (){
PARSER key, hid136;
static STATUS p_tok;
p_tok = (TOPARSER key) ("zed");
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid136) ();
}
static STATUS hid138(){
PARSER L_OPENBRACE, hid137;
return p_andparse0n (TOPARSER L_OPENBRACE,0,TOPARSER hid137,0);
}
static STATUS hid139(){
PARSER key, hid138;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"\\begin",TOPARSER hid138,0);
}
static STATUS hid140(){
PARSER hid139;
return p_option0n(TOPARSER hid139,0);
}
static STATUS hid141(){
return p_notexactly0('%');
}
static STATUS hid142(){
PARSER hid141;
return p_hidden0n(TOPARSER hid141,0);
}
static STATUS hid143(){
return p_notexactly0('}');
}
static VOID hid144(VALUE x){
 c[0]=(int)(TOVALUE x);output(c); 
}
static STATUS hid145(VALUE x){
PARSER p_nothing0;ACTION hid144;
return p_attach0n(TOPARSER p_nothing0,0,hid144,P_SZ(1,1),x);
}
static STATUS hid146(){
PARSER hid143, hid145; VALUE x;
static STATUS p_tok;
P_PSTAR(x,(TOPARSER hid143)(),(TOPARSER hid145)(x));
return p_tok;
}
static STATUS hid147(){
PARSER hid142, hid146;
return p_andparse0n (TOPARSER hid142,0,TOPARSER hid146,0);
}
static STATUS hid148(){
PARSER hid140, hid147;
return p_andparse0n (TOPARSER hid140,0,TOPARSER hid147,0);
}
static STATUS hid149(){
return p_exactly0('}');
}
static VOID hid150(){
 output("}"); 
}
static STATUS hid151(){
PARSER p_nothing0;ACTION hid150;
return p_attach0n(TOPARSER p_nothing0,0,hid150,0);
}
static STATUS hid152(){
PARSER hid149, hid151;
return p_andparse0n (TOPARSER hid149,0,TOPARSER hid151,0);
}
static STATUS hid153 (){
PARSER hid152, ws;
static STATUS p_tok;
p_tok = (TOPARSER hid152) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER ws) ();
}
static STATUS hid154 (){
PARSER hid148, hid153;
static STATUS p_tok;
p_tok = (TOPARSER hid148) ();
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER hid153) ();
}
static STATUS hid155(){
PARSER ws;
return p_many0n(TOPARSER ws,0);
}
static STATUS hid156(){
PARSER hid154, hid155;
return p_andparse0n (TOPARSER hid154,0,TOPARSER hid155,0);
}
STATUS L_COMMENTCHAR(){
PARSER hid156;
P_RETURN((TOPARSER hid156)(),"L_COMMENTCHAR");
}

static STATUS hid157(){
return p_atch0(/* VALUE */ pstr );
}
STATUS dummy(){
PARSER hid157;
P_RETURN((TOPARSER hid157)(),"dummy");
}

static STATUS hid158(PARAM p,VALUE begin,VALUE end){
return p_atch0(/* VALUE */ ukey((TOVALUE begin),(long)(TOVALUE end)-(long)(TOVALUE begin)) );
}
static STATUS hid159(PARAM p,VALUE begin){
PARSER dummy, hid158; VALUE end;
static STATUS p_tok;
P_PSTAR(end,(TOPARSER dummy)(),(TOPARSER hid158)(p,begin,end));
return p_tok;
}
static STATUS hid160(PARAM p,VALUE begin){
PARSER dummy1, hid159;
return p_andparse0n (TOPARSER p,0,TOPARSER hid159,P_SZ(2,1),p,begin);
}
static STATUS hid161(PARAM p){
PARSER dummy, hid160; VALUE begin;
static STATUS p_tok;
P_PSTAR(begin,(TOPARSER dummy)(),(TOPARSER hid160)(p,begin));
return p_tok;
}
STATUS catch(PARAM p){
PARSER hid161;
P_RETURN((TOPARSER hid161)(p),"catch");
}

static STATUS hid162 (){
PARSER key, key;
static STATUS p_tok;
p_tok = (TOPARSER key) ("\\Delta");
return (GOODSTATUS(p_tok))?p_tok:(TOPARSER key) ("\\Xi");
}
static STATUS hid163(){
PARSER hid162;
return p_option0n(TOPARSER hid162,0);
}
static VOID hid164(VALUE x){
 output("<WORD>"); 
}
static STATUS hid165(VALUE x){
PARSER p_nothing0;ACTION hid164;
return p_attach0n(TOPARSER p_nothing0,0,hid164,P_SZ(1,1),x);
}
static STATUS hid166(VALUE x){
PARSER ws;
return p_many0n(TOPARSER ws,0);
}
static STATUS hid167(VALUE x){
return p_atch0(/* VALUE */ (TOVALUE x) );
}
static STATUS hid168(VALUE x){
PARSER hid166, hid167;
return p_andparse0n (TOPARSER hid166,P_SZ(1,1),x,TOPARSER hid167,P_SZ(1,1),x);
}
static STATUS hid169(VALUE x){
PARSER hid165, hid168;
return p_andparse0n (TOPARSER hid165,P_SZ(1,1),x,TOPARSER hid168,P_SZ(1,1),x);
}
static STATUS hid170(){
PARSER catch, hid169; VALUE x;
static STATUS p_tok;
P_PSTAR(x,(TOPARSER catch)(word),(TOPARSER hid169)(x));
return p_tok;
}
static STATUS hid171(){
PARSER hid163, hid170;
return p_andparse0n (TOPARSER hid163,0,TOPARSER hid170,0);
}
STATUS L_WORD(){
PARSER hid171;
P_RETURN((TOPARSER hid171)(),"L_WORD");
}

static VOID hid172(VALUE x){
 output("<STROKE>"); 
}
static STATUS hid173(VALUE x){
PARSER p_nothing0;ACTION hid172;
return p_attach0n(TOPARSER p_nothing0,0,hid172,P_SZ(1,1),x);
}
static STATUS hid174(VALUE x){
PARSER ws;
return p_many0n(TOPARSER ws,0);
}
static STATUS hid175(VALUE x){
return p_atch0(/* VALUE */ (TOVALUE x) );
}
static STATUS hid176(VALUE x){
PARSER hid174, hid175;
return p_andparse0n (TOPARSER hid174,P_SZ(1,1),x,TOPARSER hid175,P_SZ(1,1),x);
}
static STATUS hid177(VALUE x){
PARSER hid173, hid176;
return p_andparse0n (TOPARSER hid173,P_SZ(1,1),x,TOPARSER hid176,P_SZ(1,1),x);
}
static STATUS hid178(){
PARSER catch, hid177; VALUE x;
static STATUS p_tok;
P_PSTAR(x,(TOPARSER catch)(stroke),(TOPARSER hid177)(x));
return p_tok;
}
STATUS L_STROKE(){
PARSER hid178;
P_RETURN((TOPARSER hid178)(),"L_STROKE");
}

static VOID hid179(VALUE x){
 output("<INFIX>"); 
}
static STATUS hid180(VALUE x){
PARSER p_nothing0;ACTION hid179;
return p_attach0n(TOPARSER p_nothing0,0,hid179,P_SZ(1,1),x);
}
static STATUS hid181(VALUE x){
PARSER ws;
return p_many0n(TOPARSER ws,0);
}
static STATUS hid182(VALUE x){
return p_atch0(/* VALUE */ (TOVALUE x) );
}
static STATUS hid183(VALUE x){
PARSER hid181, hid182;
return p_andparse0n (TOPARSER hid181,P_SZ(1,1),x,TOPARSER hid182,P_SZ(1,1),x);
}
static STATUS hid184(VALUE x){
PARSER hid180, hid183;
return p_andparse0n (TOPARSER hid180,P_SZ(1,1),x,TOPARSER hid183,P_SZ(1,1),x);
}
static STATUS hid185(){
PARSER catch, hid184; VALUE x;
static STATUS p_tok;
P_PSTAR(x,(TOPARSER catch)(infix),(TOPARSER hid184)(x));
return p_tok;
}
STATUS L_INFIX(){
PARSER hid185;
P_RETURN((TOPARSER hid185)(),"L_INFIX");
}

static VOID hid186(VALUE x){
 output("<NUMBER>"); 
}
static STATUS hid187(VALUE x){
PARSER p_nothing0;ACTION hid186;
return p_attach0n(TOPARSER p_nothing0,0,hid186,P_SZ(1,1),x);
}
static STATUS hid188(VALUE x){
PARSER ws;
return p_many0n(TOPARSER ws,0);
}
static STATUS hid189(VALUE x){
return p_atch0(/* VALUE */ (TOVALUE x) );
}
static STATUS hid190(VALUE x){
PARSER hid188, hid189;
return p_andparse0n (TOPARSER hid188,P_SZ(1,1),x,TOPARSER hid189,P_SZ(1,1),x);
}
static STATUS hid191(VALUE x){
PARSER hid187, hid190;
return p_andparse0n (TOPARSER hid187,P_SZ(1,1),x,TOPARSER hid190,P_SZ(1,1),x);
}
static STATUS hid192(){
PARSER catch, hid191; VALUE x;
static STATUS p_tok;
P_PSTAR(x,(TOPARSER catch)(number),(TOPARSER hid191)(x));
return p_tok;
}
STATUS L_NUMBER(){
PARSER hid192;
P_RETURN((TOPARSER hid192)(),"L_NUMBER");
}

static VOID hid193(VALUE x){
 output("<PRIORITY>");
}
static STATUS hid194(VALUE x){
PARSER p_nothing0;ACTION hid193;
return p_attach0n(TOPARSER p_nothing0,0,hid193,P_SZ(1,1),x);
}
static STATUS hid195(VALUE x){
PARSER ws1;
return p_many0n(TOPARSER ws1,0);
}
static STATUS hid196(VALUE x){
return p_atch0(/* VALUE */ (TOVALUE x) );
}
static STATUS hid197(VALUE x){
PARSER hid195, hid196;
return p_andparse0n (TOPARSER hid195,P_SZ(1,1),x,TOPARSER hid196,P_SZ(1,1),x);
}
static STATUS hid198(VALUE x){
PARSER hid194, hid197;
return p_andparse0n (TOPARSER hid194,P_SZ(1,1),x,TOPARSER hid197,P_SZ(1,1),x);
}
static STATUS hid199(){
PARSER priority, hid198; VALUE x;
static STATUS p_tok;
P_PSTAR(x,(TOPARSER priority)(),(TOPARSER hid198)(x));
return p_tok;
}
STATUS L_PRIORITY(){
PARSER hid199;
P_RETURN((TOPARSER hid199)(),"L_PRIORITY");
}

static VOID hid200(VALUE x){
 output("<SYMBOL>"); 
}
static STATUS hid201(VALUE x){
PARSER p_nothing0;ACTION hid200;
return p_attach0n(TOPARSER p_nothing0,0,hid200,P_SZ(1,1),x);
}
static STATUS hid202(VALUE x){
PARSER ws1;
return p_many0n(TOPARSER ws1,0);
}
static STATUS hid203(VALUE x){
return p_atch0(/* VALUE */ (TOVALUE x) );
}
static STATUS hid204(VALUE x){
PARSER hid202, hid203;
return p_andparse0n (TOPARSER hid202,P_SZ(1,1),x,TOPARSER hid203,P_SZ(1,1),x);
}
static STATUS hid205(VALUE x){
PARSER hid201, hid204;
return p_andparse0n (TOPARSER hid201,P_SZ(1,1),x,TOPARSER hid204,P_SZ(1,1),x);
}
static STATUS hid206(){
PARSER catch, hid205; VALUE x;
static STATUS p_tok;
P_PSTAR(x,(TOPARSER catch)(word),(TOPARSER hid205)(x));
return p_tok;
}
STATUS L_SYMBOL(){
PARSER hid206;
P_RETURN((TOPARSER hid206)(),"L_SYMBOL");
}

static VOID hid207(){
 output("\n"); 
}
static STATUS hid208(){
PARSER p_nothing0;ACTION hid207;
return p_attach0n(TOPARSER p_nothing0,0,hid207,0);
}
static STATUS hid209(){
PARSER ws;
return p_many0n(TOPARSER ws,0);
}
static STATUS hid210(){
PARSER hid208, hid209;
return p_andparse0n (TOPARSER hid208,0,TOPARSER hid209,0);
}
static STATUS hid211(){
PARSER nl, hid210;
return p_andparse0n (TOPARSER nl,0,TOPARSER hid210,0);
}
STATUS L_ENDLINE(){
PARSER hid211;
P_RETURN((TOPARSER hid211)(),"L_ENDLINE");
}

STATUS L_ELSE(){
PARSER key;
P_RETURN((TOPARSER key)("\\ELSE"),"L_ELSE");
}

STATUS L_IF(){
PARSER key;
P_RETURN((TOPARSER key)("\\IF"),"L_IF");
}

STATUS L_LET(){
PARSER key;
P_RETURN((TOPARSER key)("\\LET"),"L_LET");
}

STATUS L_THEN(){
PARSER key;
P_RETURN((TOPARSER key)("\\THEN"),"L_THEN");
}

STATUS L_ALSO(){
PARSER key;
P_RETURN((TOPARSER key)("\\also"),"L_ALSO");
}

static STATUS hid212(){
PARSER key, L_CLOSEBRACE;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"zed",TOPARSER L_CLOSEBRACE,0);
}
static STATUS hid213(){
PARSER L_OPENBRACE, hid212;
return p_andparse0n (TOPARSER L_OPENBRACE,0,TOPARSER hid212,0);
}
static STATUS hid214(){
PARSER key, hid213;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"\\begin",TOPARSER hid213,0);
}
STATUS L_BEGIN_ZED(){
PARSER hid214;
P_RETURN((TOPARSER hid214)(),"L_BEGIN_ZED");
}

static STATUS hid215(){
PARSER key, L_CLOSEBRACE;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"axdef",TOPARSER L_CLOSEBRACE,0);
}
static STATUS hid216(){
PARSER L_OPENBRACE, hid215;
return p_andparse0n (TOPARSER L_OPENBRACE,0,TOPARSER hid215,0);
}
static STATUS hid217(){
PARSER key, hid216;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"\\begin",TOPARSER hid216,0);
}
STATUS L_BEGIN_AXDEF(){
PARSER hid217;
P_RETURN((TOPARSER hid217)(),"L_BEGIN_AXDEF");
}

static STATUS hid218(){
PARSER key, L_CLOSEBRACE;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"schema",TOPARSER L_CLOSEBRACE,0);
}
static STATUS hid219(){
PARSER L_OPENBRACE, hid218;
return p_andparse0n (TOPARSER L_OPENBRACE,0,TOPARSER hid218,0);
}
static STATUS hid220(){
PARSER key, hid219;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"\\begin",TOPARSER hid219,0);
}
STATUS L_BEGIN_SCHEMA(){
PARSER hid220;
P_RETURN((TOPARSER hid220)(),"L_BEGIN_SCHEMA");
}

static STATUS hid221(){
PARSER key, L_CLOSEBRACE;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"gendef",TOPARSER L_CLOSEBRACE,0);
}
static STATUS hid222(){
PARSER L_OPENBRACE, hid221;
return p_andparse0n (TOPARSER L_OPENBRACE,0,TOPARSER hid221,0);
}
static STATUS hid223(){
PARSER key, hid222;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"\\begin",TOPARSER hid222,0);
}
STATUS L_BEGIN_GENDEF(){
PARSER hid223;
P_RETURN((TOPARSER hid223)(),"L_BEGIN_GENDEF");
}

STATUS L_BSUP(){
PARSER key;
P_RETURN((TOPARSER key)("\\bsup"),"L_BSUP");
}

STATUS L_CROSS(){
PARSER key;
P_RETURN((TOPARSER key)("\\cross"),"L_CROSS");
}

static STATUS hid224(){
PARSER key, L_CLOSEBRACE;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"zed",TOPARSER L_CLOSEBRACE,0);
}
static STATUS hid225(){
PARSER L_OPENBRACE, hid224;
return p_andparse0n (TOPARSER L_OPENBRACE,0,TOPARSER hid224,0);
}
static STATUS hid226(){
PARSER key, hid225;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"\\end",TOPARSER hid225,0);
}
STATUS L_END_ZED(){
PARSER hid226;
P_RETURN((TOPARSER hid226)(),"L_END_ZED");
}

static STATUS hid227(){
PARSER key, L_CLOSEBRACE;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"axdef",TOPARSER L_CLOSEBRACE,0);
}
static STATUS hid228(){
PARSER L_OPENBRACE, hid227;
return p_andparse0n (TOPARSER L_OPENBRACE,0,TOPARSER hid227,0);
}
static STATUS hid229(){
PARSER key, hid228;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"\\end",TOPARSER hid228,0);
}
STATUS L_END_AXDEF(){
PARSER hid229;
P_RETURN((TOPARSER hid229)(),"L_END_AXDEF");
}

static STATUS hid230(){
PARSER key, L_CLOSEBRACE;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"schema",TOPARSER L_CLOSEBRACE,0);
}
static STATUS hid231(){
PARSER L_OPENBRACE, hid230;
return p_andparse0n (TOPARSER L_OPENBRACE,0,TOPARSER hid230,0);
}
static STATUS hid232(){
PARSER key, hid231;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"\\end",TOPARSER hid231,0);
}
STATUS L_END_SCHEMA(){
PARSER hid232;
P_RETURN((TOPARSER hid232)(),"L_END_SCHEMA");
}

static STATUS hid233(){
PARSER key, L_CLOSEBRACE;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"gendef",TOPARSER L_CLOSEBRACE,0);
}
static STATUS hid234(){
PARSER L_OPENBRACE, hid233;
return p_andparse0n (TOPARSER L_OPENBRACE,0,TOPARSER hid233,0);
}
static STATUS hid235(){
PARSER key, hid234;
return p_andparse0n (TOPARSER key,P_SZ(1,0),"\\end",TOPARSER hid234,0);
}
STATUS L_END_GENDEF(){
PARSER hid235;
P_RETURN((TOPARSER hid235)(),"L_END_GENDEF");
}

STATUS L_ESUP(){
PARSER key;
P_RETURN((TOPARSER key)("\\esup"),"L_ESUP");
}

STATUS L_EXISTS(){
PARSER key;
P_RETURN((TOPARSER key)("\\exists"),"L_EXISTS");
}

STATUS L_EXISTS_1(){
PARSER key;
P_RETURN((TOPARSER key)("\\exists_1"),"L_EXISTS_1");
}

STATUS L_FORALL(){
PARSER key;
P_RETURN((TOPARSER key)("\\forall"),"L_FORALL");
}

STATUS L_DEFS(){
PARSER key;
P_RETURN((TOPARSER key)("\\defs"),"L_DEFS");
}

STATUS L_HIDE(){
PARSER key;
P_RETURN((TOPARSER key)("\\hide"),"L_HIDE");
}

STATUS L_IFF(){
PARSER key;
P_RETURN((TOPARSER key)("\\iff"),"L_IFF");
}

STATUS L_IMPLIES(){
PARSER key;
P_RETURN((TOPARSER key)("\\implies"),"L_IMPLIES");
}

STATUS L_IN(){
PARSER key;
P_RETURN((TOPARSER key)("\\in"),"L_IN");
}

STATUS L_INREL(){
PARSER key;
P_RETURN((TOPARSER key)("\\inrel"),"L_INREL");
}

STATUS L_LAMBDA(){
PARSER key;
P_RETURN((TOPARSER key)("\\lambda"),"L_LAMBDA");
}

STATUS L_LAND(){
PARSER key;
P_RETURN((TOPARSER key)("\\land"),"L_LAND");
}

STATUS L_LANGLE(){
PARSER key;
P_RETURN((TOPARSER key)("\\langle"),"L_LANGLE");
}

STATUS L_LBAG(){
PARSER key;
P_RETURN((TOPARSER key)("\\lbag"),"L_LBAG");
}

STATUS L_LDATA(){
PARSER key;
P_RETURN((TOPARSER key)("\\ldata"),"L_LDATA");
}

STATUS L_LIMG(){
PARSER key;
P_RETURN((TOPARSER key)("\\limg"),"L_LIMG");
}

STATUS L_LNOT(){
PARSER key;
P_RETURN((TOPARSER key)("\\lnot"),"L_LNOT");
}

STATUS L_LOR(){
PARSER key;
P_RETURN((TOPARSER key)("\\lor"),"L_LOR");
}

STATUS L_MU(){
PARSER key;
P_RETURN((TOPARSER key)("\\mu"),"L_MU");
}

STATUS L_PIPE(){
PARSER key;
P_RETURN((TOPARSER key)("\\pipe"),"L_PIPE");
}

STATUS L_POWER(){
PARSER key;
P_RETURN((TOPARSER key)("\\power"),"L_POWER");
}

STATUS L_PRE(){
PARSER key;
P_RETURN((TOPARSER key)("\\pre"),"L_PRE");
}

STATUS L_PROJECT(){
PARSER key;
P_RETURN((TOPARSER key)("\\project"),"L_PROJECT");
}

STATUS L_RANGLE(){
PARSER key;
P_RETURN((TOPARSER key)("\\rangle"),"L_RANGLE");
}

STATUS L_RBAG(){
PARSER key;
P_RETURN((TOPARSER key)("\\rbag"),"L_RBAG");
}

STATUS L_RDATA(){
PARSER key;
P_RETURN((TOPARSER key)("\\rdata"),"L_RDATA");
}

STATUS L_RIMG(){
PARSER key;
P_RETURN((TOPARSER key)("\\rimg"),"L_RIMG");
}

STATUS L_SEMI(){
PARSER key;
P_RETURN((TOPARSER key)("\\semi"),"L_SEMI");
}

STATUS L_THETA(){
PARSER key;
P_RETURN((TOPARSER key)("\\theta"),"L_THETA");
}

STATUS L_WHERE(){
PARSER key;
P_RETURN((TOPARSER key)("\\where"),"L_WHERE");
}

STATUS L_TRUE(){
PARSER key;
P_RETURN((TOPARSER key)("true"),"L_TRUE");
}

STATUS L_FALSE(){
PARSER key;
P_RETURN((TOPARSER key)("false"),"L_FALSE");
}

STATUS L_VERT(){
PARSER key;
P_RETURN((TOPARSER key)("|"),"L_VERT");
}

STATUS L_HYPHEN(){
PARSER key;
P_RETURN((TOPARSER key)("-"),"L_HYPHEN");
}

STATUS L_POINT(){
PARSER key;
P_RETURN((TOPARSER key)("."),"L_POINT");
}

STATUS L_OPENBRACKET(){
PARSER key;
P_RETURN((TOPARSER key)("["),"L_OPENBRACKET");
}

STATUS L_CLOSEBRACKET(){
PARSER key;
P_RETURN((TOPARSER key)("]"),"L_CLOSEBRACKET");
}

STATUS L_OPENBRACE(){
PARSER key;
P_RETURN((TOPARSER key)("{"),"L_OPENBRACE");
}

STATUS L_CLOSEBRACE(){
PARSER key;
P_RETURN((TOPARSER key)("}"),"L_CLOSEBRACE");
}

STATUS L_OPENPAREN(){
PARSER key;
P_RETURN((TOPARSER key)("("),"L_OPENPAREN");
}

STATUS L_CLOSEPAREN(){
PARSER key;
P_RETURN((TOPARSER key)(")"),"L_CLOSEPAREN");
}

STATUS L_OPENSET(){
PARSER key;
P_RETURN((TOPARSER key)("\\{"),"L_OPENSET");
}

STATUS L_CLOSESET(){
PARSER key;
P_RETURN((TOPARSER key)("\\}"),"L_CLOSESET");
}

STATUS L_UNDERSCORE(){
PARSER key;
P_RETURN((TOPARSER key)("\\_"),"L_UNDERSCORE");
}

STATUS L_COMMA(){
PARSER key;
P_RETURN((TOPARSER key)(","),"L_COMMA");
}

STATUS L_EQUALS_EQUALS(){
PARSER key;
P_RETURN((TOPARSER key)("=="),"L_EQUALS_EQUALS");
}

STATUS L_COLON_COLON_EQUALS(){
PARSER key;
P_RETURN((TOPARSER key)("::="),"L_COLON_COLON_EQUALS");
}

STATUS L_SEMICOLON(){
PARSER key;
P_RETURN((TOPARSER key)(";"),"L_SEMICOLON");
}

STATUS L_COLON(){
PARSER key;
P_RETURN((TOPARSER key)(":"),"L_COLON");
}

STATUS L_BACKSLASH_BACKSLASH(){
PARSER key;
P_RETURN((TOPARSER key)("\\\\"),"L_BACKSLASH_BACKSLASH");
}

STATUS L_AT(){
PARSER key;
P_RETURN((TOPARSER key)("@"),"L_AT");
}

STATUS L_SLASH(){
PARSER key;
P_RETURN((TOPARSER key)("/"),"L_SLASH");
}

STATUS L_EQUALS(){
PARSER key;
P_RETURN((TOPARSER key)("="),"L_EQUALS");
}

static STATUS hid236(){
PARSER p_first0, key1;
return p_andparse0n (TOPARSER p_first0,0,TOPARSER key1,P_SZ(1,0),"%%inop");
}
STATUS L_PERCENT_PERCENT_INOP(){
PARSER hid236;
P_RETURN((TOPARSER hid236)(),"L_PERCENT_PERCENT_INOP");
}

static STATUS hid237(){
PARSER p_first0, key1;
return p_andparse0n (TOPARSER p_first0,0,TOPARSER key1,P_SZ(1,0),"%%postop");
}
STATUS L_PERCENT_PERCENT_POSTOP(){
PARSER hid237;
P_RETURN((TOPARSER hid237)(),"L_PERCENT_PERCENT_POSTOP");
}

static STATUS hid238(){
PARSER p_first0, key1;
return p_andparse0n (TOPARSER p_first0,0,TOPARSER key1,P_SZ(1,0),"%%inrel");
}
STATUS L_PERCENT_PERCENT_INREL(){
PARSER hid238;
P_RETURN((TOPARSER hid238)(),"L_PERCENT_PERCENT_INREL");
}

static STATUS hid239(){
PARSER p_first0, key1;
return p_andparse0n (TOPARSER p_first0,0,TOPARSER key1,P_SZ(1,0),"%%prerel");
}
STATUS L_PERCENT_PERCENT_PREREL(){
PARSER hid239;
P_RETURN((TOPARSER hid239)(),"L_PERCENT_PERCENT_PREREL");
}

static STATUS hid240(){
PARSER p_first0, key1;
return p_andparse0n (TOPARSER p_first0,0,TOPARSER key1,P_SZ(1,0),"%%ingen");
}
STATUS L_PERCENT_PERCENT_INGEN(){
PARSER hid240;
P_RETURN((TOPARSER hid240)(),"L_PERCENT_PERCENT_INGEN");
}

static STATUS hid241(){
PARSER p_first0, key1;
return p_andparse0n (TOPARSER p_first0,0,TOPARSER key1,P_SZ(1,0),"%%pregen");
}
STATUS L_PERCENT_PERCENT_PREGEN(){
PARSER hid241;
P_RETURN((TOPARSER hid241)(),"L_PERCENT_PERCENT_PREGEN");
}

static STATUS hid242(){
PARSER p_first0, key1;
return p_andparse0n (TOPARSER p_first0,0,TOPARSER key1,P_SZ(1,0),"%%ignore");
}
STATUS L_PERCENT_PERCENT_IGNORE(){
PARSER hid242;
P_RETURN((TOPARSER hid242)(),"L_PERCENT_PERCENT_IGNORE");
}

static STATUS hid243(){
PARSER p_first0, key1;
return p_andparse0n (TOPARSER p_first0,0,TOPARSER key1,P_SZ(1,0),"%%unchecked");
}
STATUS L_PERCENT_PERCENT_UNCHECKED(){
PARSER hid243;
P_RETURN((TOPARSER hid243)(),"L_PERCENT_PERCENT_UNCHECKED");
}

static STATUS hid244(){
PARSER p_first0, key1;
return p_andparse0n (TOPARSER p_first0,0,TOPARSER key1,P_SZ(1,0),"%%tame");
}
STATUS L_PERCENT_PERCENT_TAME(){
PARSER hid244;
P_RETURN((TOPARSER hid244)(),"L_PERCENT_PERCENT_TAME");
}

static STATUS hid245(){
PARSER p_first0, key1;
return p_andparse0n (TOPARSER p_first0,0,TOPARSER key1,P_SZ(1,0),"%%token");
}
STATUS L_PERCENT_PERCENT_TOKEN(){
PARSER hid245;
P_RETURN((TOPARSER hid245)(),"L_PERCENT_PERCENT_TOKEN");
}






static void z_l_echo ()
{
    if (z_l_display_lexemes)
    {
        /*ECHO;*/
        putc('\n', stdout);
    }
}



static void z_l_invalid_lexeme (lexeme)
    char * lexeme;
{
    fprintf(stderr,
            "z 2 lexer: line %d: invalid lexeme\n",
            z_l_line_number);
}



void z_l_initialise ()
{
    z_l_display_lexemes= 0;
    z_l_line_number= 0;
}



